<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mimage.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../../maincore.php";
include INFUSIONS."simpladd/infusion_db.php";
require_once SIMPLADD."session_inc.php";
 
//Source Images
$RndImagePaths = array(
                       IMG_A,
                       IMG_Q,
                       IMG_B,
                       IMG_E,
                       IMG_X
                       );

$tileWidth = $tileHeight = 40;
$leftOffSet = $topOffSet = 10;
$outWidth = $outHeight = 220;
 
$outImage = imagecreatetruecolor($outWidth, $outHeight);

$bg_colour = array(
                   "black_a" => imagecolorallocate($outImage, 0, 0, 0),
                   "black_s" => imagecolorallocate($outImage, 0, 0, 0),
                    "blue_a" => imagecolorallocate($outImage, 0, 0, 128),
                    "blue_s" => imagecolorallocate($outImage, 0, 0, 128),
                   "green_a" => imagecolorallocate($outImage, 0, 64, 0),
                   "green_s" => imagecolorallocate($outImage, 0, 64, 0),
                    "grey_a" => imagecolorallocate($outImage, 32, 32, 32),
                    "grey_s" => imagecolorallocate($outImage, 32, 32, 32),
                     "red_a" => imagecolorallocate($outImage, 128, 0, 0),
                     "red_s" => imagecolorallocate($outImage, 128, 0, 0),
                   "white_a" => imagecolorallocate($outImage, 255, 255, 255),
                   "white_s" => imagecolorallocate($outImage, 255, 255, 255)
                   );
                   
$bgColor = $bg_colour[$simpl_settings['simpl_colour']];
imagefill($outImage, 0, 0, $bgColor);

function indexToCoords($index) {
 global $tileWidth, $leftOffSet, $topOffSet;
 $x = ($index % 12) * $tileWidth + $leftOffSet;
 $y = floor($index / 12) * ($tileWidth + $topOffSet);
 return Array($x, $y);
   }
 
foreach ($RndImagePaths as $index => $RndImagePath) {
 list ($x, $y) = indexToCoords($index);
 $tileImg = imagecreatefrompng($RndImagePath);
 
 imagecopy($outImage, $tileImg, $x, $y, 0, 0, $tileWidth, $tileHeight);
 imagedestroy($tileImg);
   }

$thumbSize = 200;
$thumbHeight = 40;
$thumbImage = imagecreatetruecolor($thumbSize, $thumbHeight);
imagecopyresampled($thumbImage, $outImage, 0, 0, 0, 0, $thumbSize, $thumbSize, $outWidth, $outWidth);
 
header ("Content-type: image/png");
imagepng($thumbImage);

?>